Subject: IANA Considerations in RFC4291bis

From: Bob Hinden <[email-masked]>
Date: Thu, 15 Sep 2016 15:29:37 -0700

Hi,

I looked at the IANA Considerations section in <draft-ietf-6man-rfc4291bis-04.txt>

I was thinking it should include a list of IANA registries that currently reference RFC4291 and instruct the IANA to update them to the bis document when it is published.  As we are doing in RFC2460bis.

I did some searching on iana.org and came up with the text below.  Let me know if this looks OK.  There were a few things like:

    https://www.iana.org/assignments/iodef2/iodef2.txt

that came up in the search that aren’t exactly registries, I wasn’t sure what to say about them.  Hence the last paragraph in the proposed IANA Considerations.

Please review and comment, I plan to publish a new version of the next week.

Thanks,
Bob

   3.  IANA Considerations

   RFC4291 is referenced in a number of IANA registries.  These include:

      o  Internet Protocol Version 6 Address Space [IANA-AD]

      o  IPv6 Global Unicast Address Assignments [IANA-GU]

      o  IPv6 Multicast Address Space Registry [IANA-MC]

      o  Application for an IPv6 Multicast Address [IANA-MA]

      o  Internet Protocol Version 6 (IPv6) Anycast Addresses [IANA-AC]

      o  IANA IPv6 Special-Purpose Address Registry [IANA-SP]

      o  Reserved IPv6 Interface Identifiers [IANA-ID]

      o  Number Resources [IANA-NR]

      o  Protocol Registries [IANA-PR]

      o  Technical requirements for authoritative name servers [IANA-NS]

      o  IP Flow Information Export (IPFIX) Entities [IANA-FE]

   The IANA should update these references to point to this document.
   There is a reference to RFC4291 (and RFC3307) that appears to be
   incorrect and should be removed in:

      o  Modify a Port Number assignment [IANA-PN]

   There are also other references in IANA procedures that the
   IANA should investigate to see if they should be updated.

---

From: Fernando Gont <[email-masked]>
Date: Thu, 15 Sep 2016 21:59:31 -0300

> Please review and comment, I plan to publish a new version of the next week.

The text looks fine (specially the catch-all "There are also other
references in IANA procedures that the IANA should investigate to see if
they should be updated." ;-) ).

Thanks!
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 21 Sep 2016 10:28:00 +1200

> I was thinking it should include a list of IANA registries that currently reference RFC4291 and instruct the IANA to update them to the bis document when it is published.  As we are doing in RFC246…

Makes sense, except for

>    IANA should investigate to see if they should be updated.

I don't think IANA will know what to do with that. I would expect it
to be challenged during IETF Last Call review as too vague and open-ended.

   Brian

---

From: Bob Hinden <[email-masked]>
Date: Wed, 21 Sep 2016 10:17:58 +0300

> On Sep 21, 2016, at 1:28 AM, Brian E Carpenter <[email-masked]> wrote:
> 

Let me explain, perhaps you can suggest what to do.  I generated the list by going to iana.org and doing a search for rfc4291.  Most of the results were for regular registries where rfc4291 was referenced.  These are ones that are listed with references (one appears to include a reference where it shouldn’t).

There were two that I wasn’t sure what to do, hence the text.  These are:

https://www.iana.org/assignments/xml-registry/schema/geopriv/lm/basetypes.xsd
https://www.iana.org/assignments/iodef2/iodef2.txt

I also thought it was odd that I got the .txt file of the iodef2, when there is also an xhmtl file, so there may some others that didn’t come up in the search.

Suggestions?

Bob

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Sep 2016 08:21:29 +1200

> I also thought it was odd that I got the .txt file of the iodef2, when there is also an xhmtl file, so there may some others that didn’t come up in the search.

I see the problem. I wonder if it's worth an early query to IANA asking them
how they would like to handle it?

Just for fun: Jari's tool says "rfc4291 is cited by the following 148 RFCs",
and a Google search for "rfc4291" -"iana.org" -"ietf.org" gets 4,520 results.

Regards
    Brian

---

From: Bob Hinden <[email-masked]>
Date: Thu, 22 Sep 2016 10:38:47 +0300

Brian,

> On Sep 21, 2016, at 11:21 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I was thinking that we get to the point of the IANA looking at the IANA considerations, to talk to them.  I think we basically would like them to do their own search.

> and a Google search for "rfc4291" -"iana.org" -"ietf.org" gets 4,520 results.

:-)

Bob